/*
 * *****************************************************************
 * *                                                               *
 * *    Copyright Compaq Computer Corporation, 2000                *
 * *                                                               *
 * *   The software contained on this media  is  proprietary  to   *
 * *   and  embodies  the  confidential  technology  of  Compaq    *
 * *   Computer Corporation.  Possession, use,  duplication  or    *
 * *   dissemination of the software and media is authorized only  *
 * *   pursuant to a valid written license from Compaq Computer    *
 * *   Corporation.                                                *
 * *                                                               *
 * *   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
 * *   by the U.S. Government is subject to restrictions  as  set  *
 * *   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
 * *   or  in  FAR 52.227-19, as applicable.                       *
 * *                                                               *
 * *****************************************************************
 */
/*
 * HISTORY
 */
/*
 * @(#)$RCSfile: sysdev_info.h,v $ $Revision: 1.1.5.2 $ (DEC) $Date: 1997/09/29 12:22:38 $
 */
#ifndef SYSDEV_INFO
#define SYSDEV_INFO


/*
 * Kernel structure mapped into a users address
 * space when the psuedo device sysdev_info is
 * mmap() by a application.
 */

struct sysdev_info {
 	  struct timeval	tv;
	  struct timezone	tz;
	  long lbolt;
	};

#endif
