/*
 * *****************************************************************
 * *                                                               *
 * *    Copyright Compaq Computer Corporation, 2000                *
 * *                                                               *
 * *   The software contained on this media  is  proprietary  to   *
 * *   and  embodies  the  confidential  technology  of  Compaq    *
 * *   Computer Corporation.  Possession, use,  duplication  or    *
 * *   dissemination of the software and media is authorized only  *
 * *   pursuant to a valid written license from Compaq Computer    *
 * *   Corporation.                                                *
 * *                                                               *
 * *   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
 * *   by the U.S. Government is subject to restrictions  as  set  *
 * *   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
 * *   or  in  FAR 52.227-19, as applicable.                       *
 * *                                                               *
 * *****************************************************************
 */
/*
 * HISTORY
 */
/*
 * @(#)$RCSfile: uadmin.h,v $ $Revision: 1.1.3.2 $ (DEC) $Date: 1993/05/27 21:37:33 $
 */
#ifndef _SYS_UADMIN_H
#define _SYS_UADMIN_H


#define	A_REBOOT	0x01
#define	A_SHUTDOWN	0x02
#define	A_REMOUNT	0x04

#define	AD_HALT		0
#define	AD_BOOT		1
#define	AD_IBOOT	2


#if defined(__STDC__) && !defined(_KERNEL)
int uadmin(int, int, int);
#endif

#endif	/* _SYS_UADMIN_H */
