/*
 * *****************************************************************
 * *                                                               *
 * *    Copyright Compaq Computer Corporation, 2000                *
 * *                                                               *
 * *   The software contained on this media  is  proprietary  to   *
 * *   and  embodies  the  confidential  technology  of  Compaq    *
 * *   Computer Corporation.  Possession, use,  duplication  or    *
 * *   dissemination of the software and media is authorized only  *
 * *   pursuant to a valid written license from Compaq Computer    *
 * *   Corporation.                                                *
 * *                                                               *
 * *   RESTRICTED RIGHTS LEGEND   Use, duplication, or disclosure  *
 * *   by the U.S. Government is subject to restrictions  as  set  *
 * *   forth in Subparagraph (c)(1)(ii)  of  DFARS  252.227-7013,  *
 * *   or  in  FAR 52.227-19, as applicable.                       *
 * *                                                               *
 * *****************************************************************
 */
/*
 * HISTORY
 */
/*
 *	@(#)sysap_start.h	2.3	(ULTRIX)	10/12/89
 */

#ifndef _SYSAP_START_H_
#define _SYSAP_START_H_

/* Constants and Definitions for starting all SYSAPs. 
 */
typedef	void	( *Sysap_start )();

#define	MAX_SYSAPS	25		/* Maximum number of SYSAPs	     */
#define	SYSAP_LAST	( Sysap_start )-1/* Marker for end of SYSAPs table   */

#endif

